select
pid,
fname,
lname,
CASE WHEN left(fname,1) = '' THEN '/' ELSE NULL END ช่องว่างหน้าชื่อ,
CASE WHEN right (fname,1) = '' THEN '/' ELSE NULL END ช่องว่างหลังชื่อ,
CASE WHEN LEFT(lname,1) = '' THEN '/' ELSE NULL END ช่องว่างหน้านามสกุล,
CASE WHEN RIGHT(lname,1) = '' THEN '/' ELSE NULL END ช่องว่างหลังนามสกุล,
CASE WHEN LEFT(rightno,1)= '' THEN '/' ELSE NULL END ช่องว่างหน้าเลขสิทธิ์,
CASE WHEN RIGHT(rightno,1)= '' THEN '/' ELSE NULL END ช่องว่างหลังสิทธิ์,
CASE WHEN person.occupa IS NULL THEN '/' ELSE NULL END อาชีพว่าง,
CASE WHEN person.birth IS NULL THEN '/' ELSE NULL END วันเกิดว่าง,
CASE WHEN cid13Chk(person.idcard)='f' and nation='99' THEN '/' ELSE NULL END 'เลขบัตรปชช.ไม่ถูกต้อง'
from
person
WHERE
left(fname,1) = ''
OR right (fname,1) = ''
OR LEFT(lname,1) = ''
OR RIGHT(lname,1) = ''
OR LEFT(rightno,1)= ''
OR RIGHT(rightno,1)= ''
OR person.occupa IS NULL
OR person.birth IS NULL
OR cid13Chk(person.idcard)='f' and nation='99';